unit MainForm;

interface

uses
  WinTypes, Registry, WinProcs, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, IniFiles, FtpSrv, FtpSrvC, WSocket, StdCtrls, ExtCtrls, Menus,
  Winsock,  AppEvnts,  ComCtrls, ImgList, XPMan, ToolWin;

type
  TForm1 = class(TForm)
    FtpServer1: TFtpServer;
    ToolBar1: TToolBar;
    ImageList1: TImageList;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    StatusBar1: TStatusBar;
    MInf: TRichEdit;
    ToolButton3: TToolButton;
    XPManifest1: TXPManifest;
    procedure ToolButton1Click(Sender: TObject);
    procedure ToolButton2Click(Sender: TObject);
    procedure FtpServer1Authenticate(Sender: TObject;
      Client: TFtpCtrlSocket; UserName, Password: TFtpString;
      var Authenticated: Boolean);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  Count: integer;

implementation

{$R *.dfm}

procedure TForm1.ToolButton1Click(Sender: TObject);
begin
  FtpServer1.Start;
  MInf.Lines.Add(DateTimeToStr(Now)+'   FTP Server');
  StatusBar1.Panels[0].Text:='  ...';
end;

procedure TForm1.ToolButton2Click(Sender: TObject);
begin
  FtpServer1.Stop;
  MInf.Lines.Add(DateTimeToStr(Now)+'   FTP Server');
  StatusBar1.Panels[0].Text:='';
end;

procedure TForm1.FtpServer1Authenticate(Sender: TObject;
  Client: TFtpCtrlSocket; UserName, Password: TFtpString;
  var Authenticated: Boolean);
begin
  MInf.Lines.Add('  '+Client.GetPeerAddr+' : '+UserName+' : '+Password);
  Count:=Count+1;
  StatusBar1.Panels[1].Text:=' : '+IntToStr(Count);
  Authenticated:=false;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Count:=0;
  StatusBar1.Panels[0].Text:=' ';
end;

end.
